/* CSS Reset */

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	font-family: "Open Sans", sans-serif;
}

nav {
	/* shorthand property */
	/* 0.8rem = 12.8px */

	padding: 0.8rem;

	/*padding-top: 0.8rem;
	padding-left: 2rem;
	padding-right: 0.8rem;
	padding-bottom: 0.8rem;*/
	margin-bottom: 2rem;
	border-bottom: 1px solid grey;
	list-style-type: disc;
}

/* margin vs padding */
/* margin is best used when creating space between elements */
/* padding is best used when creating space between elements's border and it's content */

nav .nav, nav .nav-logo {
	margin: 0.5rem;
	/* changes elements to inline elemets */
	/* "display" property has default value -> "block" */
	display: inline;
}

/* intro section */

#intro {
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;

	/* shorthand property for padding */
	/* sequence -> TLRB */
	/* padding: 2rem 10% 10% 3rem; */

	text-align: center;
}

.header {
		text-align: center;
	}

#intro h2, #intro p {
	margin-bottom: 1rem;
}

#intro button {
	color: white;
	/* changes the tickness of text */
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	padding: 1rem;
}

/* succeed-info */

#succeed-info {
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
}

#succeed-info h2 {
	margin-bottom: 1rem;
}

#succeed-info h3 {
	text-align: center;
	margin-bottom: 1rem;
}

#succeed-info .card {
	/* allow the card to appear beside each other */
	display: inline-block;
	/* aligns elements with the tallest elements in line */
	vertical-align: top;
	min-height: 175px;
	width: 30%;
	margin-right: 0.5rem;
	margin-left: 0.5rem;
}

.card p {
	text-align: center;
}

#pre-footer {
	background-color: #000080;
	color: white;
}

#pre-footer div {
	display: inline-block;
	grid-template-columns: 80fr 80fr 80fr 80fr;
	margin: 5px;
  	padding: 5px;
  	vertical-align: top;
  	min-height: 100px;
	width: 20%;
}

#pre-footer .cards {
    display: inline-block;
}

#pre-footer {
	padding-left: 2%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 2rem;
	vertical-align: top;
}

footer {
	padding: 0.7rem;
	text-align: center;
}

footer span {
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}